Subject: Re: [PATCH 5/5] doc lint: lint and fix missing "GIT" end sections

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 09 Apr 2021 13:49:01 +0200

On Sun, Mar 28 2021, Junio C Hamano wrote:

> Junio C Hamano <[email-masked]> writes:
>
>> Ævar Arnfjörð Bjarmason  <[email-masked]> writes:
>>
>>> Lint for and fix the three manual pages that were missing the standard
>>> "Part of the linkgit:git[1] suite" end section.
>>>
>>> We only do this for the man[157] section documents (we don't have
>>> anything outside those sections), not files to be included,
>>> howto *.txt files etc.
>>
>> OK.  Alternatively we could drop the footer from all pages.  IIRC,
>> we used to have another footer section to credit primary authors,
>> which we dropped years ago.  I doubt "git-foo is part of git suite"
>> is something worth repeating over and over.
>>
>> Thanks.
>
> Having said that, making sure all pages consistently have them is
> fine, too.  It is just the repetition, even though my eyes have
> learned to take it as perfectly normal state of affairs, did not
> seem to be adding that much value.

It adds the value of:

 * If you're looking at e.g. git-subtree's manpage it doesn't have it,
   so we're clearly marking things that are part of git itself, also if
   you're doing e.g. "man git-annex" (or other non-git.git tool)
   somewhere.

 * Once you're at the bottom of a manpage in e.g. a web view it's a
   handy link back to the start, see
   e.g. https://git-scm.com/docs/git-add#_git